> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.upwardli.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server.

# Set Set Autopay Request

PUT https://api.upwardli.com/v2/payment-cards/{payment_card_id}/autopay
Content-Type: application/json



Reference: https://developers.upwardli.com/api-access/api-reference/payment-cards/set-set-autopay-request

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.upwardli.com` (Production, default)
- `https://api-sandbox.upwardli.com` (Sandbox)

## Request

### Path parameters

- `payment_card_id` (string, required)

### Body (application/json)

This endpoint expects a SetAutopayRequest.

- `enabled` (boolean, required)

## Response

### 200

- `id` (string, optional)
- `consumer_id` (string, optional)
- `card_config_id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `active`, `canceled`, `closed`, `deactivated`, `expired`, `frozen`, `in_default`, `in_progress`
- `emboss_hold` (boolean, optional)
- `emboss_date` (string, optional, nullable)
- `available_balance` (string, optional)
- `account_number` (string, optional)
- `routing_number` (string, optional)
- `created_at` (string, optional)
- `autopay_enabled` (boolean, optional)
- `outstanding_balance` (string, optional)
- `pin_lock` (boolean, optional)
- `display_name` (string, optional)
- `is_rewards_enrolled` (string, optional)
- `last_four` (string, optional)

## Examples

**Request**

```json
{
  "enabled": true
}
```

**Response**

```json
{
  "id": "string",
  "consumer_id": "string",
  "card_config_id": "string",
  "status": "active",
  "emboss_hold": true,
  "emboss_date": "2024-01-15T09:30:00Z",
  "available_balance": "string",
  "account_number": "string",
  "routing_number": "string",
  "created_at": "2024-01-15T09:30:00Z",
  "autopay_enabled": true,
  "outstanding_balance": "string",
  "pin_lock": true,
  "display_name": "string",
  "is_rewards_enrolled": "string",
  "last_four": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay"

payload = { "enabled": True }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"enabled":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay"

	payload := strings.NewReader("{\n  \"enabled\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"enabled\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"enabled\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay', [
  'body' => '{
  "enabled": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"enabled\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["enabled": true] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/payment-cards/payment_card_id/autopay")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```